Introduction

Bravo JSP editor is a WYSIWYG JSP/HTML editor. The free edition can be freely used without time limitation, commercial used is permitted.

Features

Visual part: support CSS style, images, JSP expression/tag library/tag file, external included files. Changing HTML/CSS/JSP code could be rendered immediately. The HTML visual view can used to preview the HTML rendering of editing document.

Editor: composed by visual part and JSP editor from WTP(Eclipse Web Tools platform). So code assist, code template and other functions are reserved. View demo (need flash player)

String externalize wizard: A simple way to localized your JSP - extract the text inside JSP to property file, replace original text to tag library.. View demo

DOM find/replace dialog: Help to modify DOM based document by custom java script, the editing could be saved as command and combined to a "macro". This feature also support other editors based on Webtools, such as: Hibernate Tools' HBM XML editor. View demo

JSTL variable view: could list Java Bean's property or a resource bundle file in it. Once double click a row, the property name/resource bundle key will be copied into active text editor.

Do you need to modify exist JSP/html frequently? Do you prefer to input/copy/paste in code editor? Try this plugins, you will love it!

Download latest version 2.6.1 release in 2016/09/27 (Change log)

Download whole update site include XULRunner plugins (These files are stored in different web site)

System Requirement

To use the plugin, you need Java Runtime Environment or Java Development Kit 5.0 and one of following combination
  • Eclipse v3.5 + WTP v3.1 + GEF v3.5 + EMF v2.5
  • Eclipse v4.0/v3.6 + WTP v3.2 + GEF v3.6 + EMF v2.6
  • Eclipse v4.1/v3.7 + WTP v3.3 + GEF v3.7 + EMF v2.7
  • Eclipse v4.2/v3.8 + WTP v3.4 + GEF v3.8 + EMF v2.8
  • Eclipse v4.3 + WTP v3.5 + GEF v3.9 + EMF v2.9
The simplest way is download following packages based on above version

  • Eclipse IDE for Java EE Developers
  • Eclipse IDE for JavaScript Web Developer
  • Eclipse IDE for PHP Developer

And Mozilla XULRunner and Java XPCOM library v1.9.1 or newer, Rhino library v1.7.2 or newer.

For Windows x64 platform, the XULRunner required Eclipse v4.3 or higher version and VC10 runtimes/VC9 runtimes.

Install procedures and system requirement for version 1.x please visit here(only support Windows platform)

Eclipse and all Eclipse-based trademarks and logos are trademarks or registered trademarks of Eclipse Foundation.

Java and all Java-based trademarks and logos are trademarks or registered trademarks of Sun Micro systems, Inc.

Mozilla and all Mozilla-based trademarks and logos are trademarks or registered trademarks of Mozilla community.

To report a bug or give us any suggestion, please email to us or visit this blog/add comment there. Thank you!